# setVoiceReverbType method Null safety

Future<void> setVoiceReverbType(

1. int type

)

Set the voice reverb effect (karaoke room, small room, big hall, deep, resonant, and other effects)

Parameters:

Default value: TXVoiceReverbType.TXLiveVoiceReverbType_0. For more information, please see the definition of the `TXVoiceReverbType` parameter in `trtc_cloud.def`

## Implementation

    Future<void> setVoiceReverbType(int type) {
      return _channel.invokeMethod('setVoiceReverbType', {"type": type});
    }